cordova.define("scanovate-chequescan-plugin.ScanovateChequeScanPlugin", function(require, exports, module) {
var exec = require('cordova/exec');
    
    ////////////////////////////////
    //* Start Cheque Scan Action *//
    ////////////////////////////////
    
    // startScanChequeFrontAndBack
    // @params:
    // *success - callback function
    // *error - callback function
    exports.startScanChequeFrontAndBack = function(success, error) {
        exec(success, error, "ScanovateChequeScanPlugin", "startScanChequeFrontAndBack", []);
    };
    
    // startScanChequeFrontAndBackWithoutManualEntry
    // @params:
    // *success - callback function
    // *error - callback function
    exports.startScanChequeFrontAndBackWithoutManualEntry = function(success, error) {
        exec(success, error, "ScanovateChequeScanPlugin", "startScanChequeFrontAndBackWithoutManualEntry", []);
    };
    
    // startScanChequeFront
    // @params:
    // *success - callback function
    // *error - callback function
    exports.startScanChequeFront = function(success, error) {
        exec(success, error, "ScanovateChequeScanPlugin", "startScanChequeFront", []);
    };
    
    // startScanChequeBack
    // @params:
    // *success - callback function
    // *error - callback function
    exports.startScanChequeBack = function(success, error) {
        exec(success, error, "ScanovateChequeScanPlugin", "startScanChequeBack", []);
    };

    /////////////////////////////////
    //* Stop Scan Cheque Action *//
    /////////////////////////////////
    // stopScanCheque
    exports.stopScanCheque = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "stopScanCheque", []);
    };

    /////////////////////////////////
    //* Start Manual Entry Action *//
    /////////////////////////////////
    
    // startManualEntry
    // @params:
    // *success - callback function
    // *error - callback function
    // *chequeFrontScanResultJSON - JSON obj
    exports.startManualEntry = function(success, error,chequeFrontScanResultJSON) {
        exec(success, error, "ScanovateChequeScanPlugin", "startManualEntry", [chequeFrontScanResultJSON]);
    };
    
    ////////////////////////
    //* UI Customization *//
    ////////////////////////
    
    ///////////////////////////////
    //* SNChequeUICustomization *//
    ///////////////////////////////
    
    // setChequeBackButtonViewSideToLeft
    //
    // defoult is right
    exports.setChequeBackButtonViewSideToLeft = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBackButtonViewSideToLeft", []);
    };
    
    // setChequeBackButtonViewShapeToHeadAndTail
    //
    // defoult is Head
    exports.setChequeBackButtonViewShapeToHeadAndTail = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBackButtonViewShapeToHeadAndTail", []);
    };
    
    // setChequeBackButtonViewShapeToX
    //
    // defoult is Head
    exports.setChequeBackButtonViewShapeToX = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBackButtonViewShapeToX", []);
    };
    
    // setChequeBackButtonViewColor
    // @params:
    // *chequeBackButtonViewColor - String in Hex format
    // defoult is #FFFFFF (whiteColor)
    exports.setChequeBackButtonViewColor = function(chequeBackButtonViewColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBackButtonViewColor", [chequeBackButtonViewColor]);
    };
    
    // setFrameShapeTypeToCorners
    //
    // defoult is Rectangle
    exports.setFrameShapeTypeToCorners = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameShapeTypeToCorners", []);
    };
    
    // setFrameLineWidth
    // @params:
    // *frameLineWidth - float
    // defoult is 4.0
    exports.setFrameLineWidth = function(frameLineWidth) {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameLineWidth", [frameLineWidth]);
    };
    
    // setFrameCornerRadius
    // for rectangle shape only
    // @params:
    // *frameCornerRadius - float
    // defoult is 10.8
    exports.setFrameCornerRadius = function(frameCornerRadius) {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameCornerRadius", [frameCornerRadius]);
    };
    
    // setFrameLineLength
    // for corners only
    // @params:
    // *frameLineLength - float
    // defoult is 75.0
    exports.setFrameLineLength = function(frameLineLength) {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameLineLength", [frameLineLength]);
    };
    
    // setFrameLineJoinToMiter
    // for corners only
    // defoult is LineJoinRound
    exports.setFrameLineJoinToMiter = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameLineJoinToMiter", []);
    };

    // setFrameLineJoinToBevel
    // for corners only
    // defoult is LineJoinRound
    exports.setFrameLineJoinToBevel = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameLineJoinToBevel", []);
    };

    // setFrameLineCapToButt
    // for corners only
    // defoult is LineCapRound
    exports.setFrameLineCapToButt = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameLineCapToButt", []);
    };

    // setFrameLineCapToSquare
    // for corners only
    // defoult is LineCapRound
    exports.setFrameLineCapToSquare = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameLineCapToSquare", []);
    };
    
    // setFrameColorForChequeMissing
    // @params:
    // *frameColorForChequeMissing - String in Hex format
    // defoult is ##ff001f (redColor)
    exports.setFrameColorForChequeMissing = function(frameColorForChequeMissing) {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameColorForChequeMissing", [frameColorForChequeMissing]);
    };

    // setFrameColorForChequeFound
    // @params:
    // *frameColorForChequeFound - String in Hex format
    // defoult is #00cb1e (greenColor)
    exports.setFrameColorForChequeFound = function(frameColorForChequeFound) {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameColorForChequeFound", [frameColorForChequeFound]);
    };

    // setFrameColorForChequeOCRSucceeded
    // @params:
    // *frameColorForChequeOCRSucceeded - String in Hex format
    // defoult is #00cb1e (greenColor)
    exports.setFrameColorForChequeOCRSucceeded = function(frameColorForChequeOCRSucceeded) {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrameColorForChequeOCRSucceeded", [frameColorForChequeOCRSucceeded]);
    };


    // setFrontInstructionsText
    // @params:
    // *frontInstructionsText - String
    // defoult is "צילום חזית השיק"
    exports.setFrontInstructionsText = function(frontInstructionsText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setFrontInstructionsText", [frontInstructionsText]);
    };
    
    // setBackInstructionsText
    // @params:
    // *backInstructionsText - String
    // defoult is "צילום גב השיק"
    exports.setBackInstructionsText = function(backInstructionsText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setBackInstructionsText", [backInstructionsText]);
    };

    // setDeviceTiltTooLargeText
    // @params:
    // *deviceTiltTooLargeText - String
    // defoult is "יש להחזיק את המכשיר במקביל לקרקע (מרכז את הכדור במטרה)"
    exports.setDeviceTiltTooLargeText = function(deviceTiltTooLargeText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setDeviceTiltTooLargeText", [deviceTiltTooLargeText]);
    };
    
    // setChequeOutOfFocusText
    // @params:
    // *chequeOutOfFocusText - String
    // defoult is "יש לייצב את המצלמה בעת הצילום"
    exports.setChequeOutOfFocusText = function(chequeOutOfFocusText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeOutOfFocusText", [chequeOutOfFocusText]);
    };
    
    // setLowContrastText
    // @params:
    // *lowContrastText - String
    // defoult is "תמונת השיק כהה מדי, יש לוודא שהשיק נמצא במקום מואר"
    exports.setLowContrastText = function(lowContrastText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setLowContrastText", [lowContrastText]);
    };
    
    // setChequeNotFoundText
    // @params:
    // *chequeNotFoundText - String
    // defoult is "יש לוודא כי השיק נמצא בתוך המסגרת"
    exports.setChequeNotFoundText = function(chequeNotFoundText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeNotFoundText", [chequeNotFoundText]);
    };

    // setChequeSizeTooSmallText
    // @params:
    // *chequeSizeTooSmallText - String
    // defoult is "יש לקרב את המכשיר אל השיק בגבולות המסגרת"
    exports.setChequeSizeTooSmallText = function(chequeSizeTooSmallText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeSizeTooSmallText", [chequeSizeTooSmallText]);
    };

    // setChequeRotationTooLargeText
    // @params:
    // *chequeRotationTooLargeText - String
    // defoult is "יש ליישר את השיק בגבולות המסגרת"
    exports.setChequeRotationTooLargeText = function(chequeRotationTooLargeText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeRotationTooLargeText", [chequeRotationTooLargeText]);
    };

    // setChequePlacedOnBrightSurfaceText
    // @params:
    // *chequePlacedOnBrightSurfaceText - String
    // defoult is "יש להניח את השיק על משטח כהה"
    exports.setChequePlacedOnBrightSurfaceText = function(chequePlacedOnBrightSurfaceText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequePlacedOnBrightSurfaceText", [chequePlacedOnBrightSurfaceText]);
    };
    
    // setRealTimeErrorBackgroundColor
    // @params:
    // *realTimeErrorBackgroundColor - String in Hex format
    // defoult is #000000CC (black with Alpha 0.8)
    exports.setRealTimeErrorBackgroundColor = function(realTimeErrorBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setRealTimeErrorBackgroundColor", [realTimeErrorBackgroundColor]);
    };

    // setChequeFrontSuccessShowApproveView
    // 
    // defoult is ShowPopupView
    exports.setChequeFrontSuccessShowApproveView = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeFrontSuccessShowApproveView", []);
    };

    // setChequeFrontSuccessPopupTitleText
    // @params:
    // *chequeFrontSuccessPopupTitleText - String
    // defoult is "השיק נסרק בהצלחה"
    exports.setChequeFrontSuccessPopupTitleText = function(chequeFrontSuccessPopupTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeFrontSuccessPopupTitleText", [chequeFrontSuccessPopupTitleText]);
    };
    
    // setChequeFrontSuccessScanBackButtonText
    // @params:
    // *chequeFrontSuccessScanBackButtonText - String
    // defoult is "צלם גב שיק"
    exports.setChequeFrontSuccessScanBackButtonText = function(chequeFrontSuccessScanBackButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeFrontSuccessScanBackButtonText", [chequeFrontSuccessScanBackButtonText]);
    };
    
    // setChequeBackSuccessPopupTitleText
    // @params:
    // *chequeBackSuccessPopupTitleText - String
    // defoult is "השיק נסרק בהצלחה"
    exports.setChequeBackSuccessPopupTitleText = function(chequeBackSuccessPopupTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBackSuccessPopupTitleText", [chequeBackSuccessPopupTitleText]);
    };
    
    // setChequeBackSuccessPopupExitButtonText
    // @params:
    // *chequeBackSuccessPopupExitButtonText - String
    // defoult is "סיים"
    exports.setChequeBackSuccessPopupExitButtonText = function(chequeBackSuccessPopupExitButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBackSuccessPopupExitButtonText", [chequeBackSuccessPopupExitButtonText]);
    };
    
    // setChequeOCRFailPopupTitleText
    // @params:
    // *chequeOCRFailPopupTitleText - String
    // defoult is "לא הצלחנו לקרוא את פרטי השיק"
    exports.setChequeOCRFailPopupTitleText = function(chequeOCRFailPopupTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeOCRFailPopupTitleText", [chequeOCRFailPopupTitleText]);
    };
    
    // setChequeOCRFailWithManualEntryPopupMessageText
    // @params:
    // *chequeOCRFailWithManualEntryPopupMessageText - String
    // defoult is "באפשרותך לנסות שנית או להזין את פרטי השיק ידנית"
    exports.setChequeOCRFailWithManualEntryPopupMessageText = function(chequeOCRFailWithManualEntryPopupMessageText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeOCRFailWithManualEntryPopupMessageText", [chequeOCRFailWithManualEntryPopupMessageText]);
    };
    
    // setChequeOCRFailWithoutManualEntryPopupMessageText
    // @params:
    // *chequeOCRFailWithoutManualEntryPopupMessageText - String
    // defoult is "באפשרותך לנסות שנית"
    exports.setChequeOCRFailWithoutManualEntryPopupMessageText = function(chequeOCRFailWithoutManualEntryPopupMessageText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeOCRFailWithoutManualEntryPopupMessageText", [chequeOCRFailWithoutManualEntryPopupMessageText]);
    };

    // setChequeOCRFailPopupRetryButtonText
    // @params:
    // *chequeOCRFailPopupRetryButtonText - String
    // defoult is "נסה שנית"
    exports.setChequeOCRFailPopupRetryButtonText = function(chequeOCRFailPopupRetryButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeOCRFailPopupRetryButtonText", [chequeOCRFailPopupRetryButtonText]);
    };
    
    // setChequeOCRFailPopupPresentManualEntryButtonText
    // @params:
    // *chequeOCRFailPopupPresentManualEntryButtonText - String
    // defoult is "עבור להקלדה ידנית"
    exports.setChequeOCRFailPopupPresentManualEntryButtonText = function(chequeOCRFailPopupPresentManualEntryButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeOCRFailPopupPresentManualEntryButtonText", [chequeOCRFailPopupPresentManualEntryButtonText]);
    };
    
    // setChequeOCRFailPopupExitButtonText
    // @params:
    // *chequeOCRFailPopupExitButtonText - String
    // defoult is "ביטול"
    exports.setChequeOCRFailPopupExitButtonText = function(chequeOCRFailPopupExitButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeOCRFailPopupExitButtonText", [chequeOCRFailPopupExitButtonText]);
    };
    
    // setChequeBankNotSupportedPopupTitleText
    // @params:
    // *chequeBankNotSupportedPopupTitleText - String
    // defoult is "לא ניתן להפקיד שיק זה"
    exports.setChequeBankNotSupportedPopupTitleText = function(chequeBankNotSupportedPopupTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBankNotSupportedPopupTitleText", [chequeBankNotSupportedPopupTitleText]);
    };
    
    // setChequeBankNotSupportedPopupMessageText
    // @params:
    // *chequeBankNotSupportedPopupMessageText - String
    // defoult is "השיק המוצג אינו שייך לבנקים הנתמכים בשירות זה"
    exports.setChequeBankNotSupportedPopupMessageText = function(chequeBankNotSupportedPopupMessageText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBankNotSupportedPopupMessageText", [chequeBankNotSupportedPopupMessageText]);
    };
    
    // setChequeBankNotSupportedPopupExitButtonText
    // @params:
    // *chequeBankNotSupportedPopupExitButtonText - String
    // defoult is "יציאה"
    exports.setChequeBankNotSupportedPopupExitButtonText = function(chequeBankNotSupportedPopupExitButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setChequeBankNotSupportedPopupExitButtonText", [chequeBankNotSupportedPopupExitButtonText]);
    };
    
    ////////////////////////////////////
    //* SNManualEntryUICustomization *//
    ////////////////////////////////////
    

    // setManualEntryBackgroundColor
    // @params:
    // *manualEntryBackgroundColor - String in Hex format
    // defoult is #FFFFFF
    exports.setManualEntryBackgroundColor = function(manualEntryBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBackgroundColor", [manualEntryBackgroundColor]);
    };

    // setManualEntryBackButtonViewSideToLeft
    //
    // defoult is right
    exports.setManualEntryBackButtonViewSideToLeft = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBackButtonViewSideToLeft", []);
    };
    
    // setManualEntryBackButtonViewShapeToHeadAndTail
    //
    // defoult is X
    exports.setManualEntryBackButtonViewShapeToHeadAndTail = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBackButtonViewShapeToHeadAndTail", []);
    };
    
    // setManualEntryBackButtonViewShapeToHead
    //
    // defoult is X
    exports.setManualEntryBackButtonViewShapeToHead = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBackButtonViewShapeToHead", []);
    };
    
    // setManualEntryBackButtonViewColor
    // @params:
    // *manualEntryButtonViewColor - String in Hex format
    // defoult is #FFFFFF (whiteColor)
    exports.setManualEntryBackButtonViewColor = function(manualEntryButtonViewColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBackButtonViewColor", [manualEntryButtonViewColor]);
    };
    
    // setManualEntryTitleText
    // @params:
    // *manualEntryTitleText - String
    // defoult is "הקלדת מספר השיק"
    exports.setManualEntryTitleText = function(manualEntryTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryTitleText", [manualEntryTitleText]);
    };
    
    // setManualEntryApproveTitleText
    // @params:
    // *manualEntryApproveTitleText - String
    // defoult is "אישור סריקת השיק"
    exports.setManualEntryApproveTitleText = function(manualEntryApproveTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveTitleText", [manualEntryApproveTitleText]);
    };

    // setManualEntryTitleTextColor
    // @params:
    // *manualEntryTitleTextColor - String in Hex format
    // defoult is #FFFFFF (whiteColor)
    exports.setManualEntryTitleTextColor = function(manualEntryTitleTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryTitleTextColor", [manualEntryTitleTextColor]);
    };

    // setManualEntryTitleBackgroundColor
    // @params:
    // *manualEntryTitleBackgroundColor - String in Hex format
    // defoult is #004fb6 (blueColor)
    exports.setManualEntryTitleBackgroundColor = function(manualEntryTitleBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryTitleBackgroundColor", [manualEntryTitleBackgroundColor]);
    };

    // setManualEntryMessageText
    // @params:
    // *manualEntryMessageText - String
    // defoult is "לא כל פרטי השיק זוהו, יש להקליד פרטים חסרים או לצלם שיק בשנית"
    exports.setManualEntryMessageText = function(manualEntryMessageText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryMessageText", [manualEntryMessageText]);
    };

    // setManualEntryApproveMessageText
    // @params:
    // *manualEntryApproveMessageText - String
    // defoult is "יש לוודא שמספר השיק נסרק בהצלחה"
    exports.setManualEntryApproveMessageText = function(manualEntryApproveMessageText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveMessageText", [manualEntryApproveMessageText]);
    };

    // setManualEntryMessageTextColor
    // @params:
    // *manualEntryMessageTextColor - String in Hex format
    // defoult is #35393e (grayColor)
    exports.setManualEntryMessageTextColor = function(manualEntryMessageTextColor) {     
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryMessageTextColor", [manualEntryMessageTextColor]);
    };

    // setManualEntryUserInputTextColor
    // @params:
    // *manualEntryUserInputTextColor - String in Hex format
    // defoult is #35393e (grayColor)
    exports.setManualEntryUserInputTextColor = function(manualEntryUserInputTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryUserInputTextColor", [manualEntryUserInputTextColor]);
    };

    // setManualEntryUserInputUnderlineColor
    // @params:
    // *manualEntryUserInputUnderlineColor - String in Hex format
    // defoult is #e1e2e5 (lightGrayColor)
    exports.setManualEntryUserInputUnderlineColor = function(manualEntryUserInputUnderlineColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryUserInputUnderlineColor", [manualEntryUserInputUnderlineColor]);
    };

    // setManualEntryUserInputTitlesTextColor
    // @params:
    // *manualEntryUserInputTitlesTextColor - String in Hex format
    // defoult is #35393e (grayColor)
    exports.setManualEntryUserInputTitlesTextColor = function(manualEntryUserInputTitlesTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryUserInputTitlesTextColor", [manualEntryUserInputTitlesTextColor]);
    };

    // setManualEntryUserInputAccountNumberTitleText
    // @params:
    // *manualEntryUserInputAccountNumberTitleText - String
    // defoult is "מספר חשבון"
    exports.setManualEntryUserInputAccountNumberTitleText = function(manualEntryUserInputAccountNumberTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryUserInputAccountNumberTitleText", [manualEntryUserInputAccountNumberTitleText]);
    };

    // setManualEntryUserInputBranchNumberTitleText
    // @params:
    // *manualEntryUserInputBranchNumberTitleText - String
    // defoult is "מספר סניף"
    exports.setManualEntryUserInputBranchNumberTitleText = function(manualEntryUserInputBranchNumberTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryUserInputBranchNumberTitleText", [manualEntryUserInputBranchNumberTitleText]);
    };

    // setManualEntryUserInputBankNumberTitleText
    // @params:
    // *manualEntryUserInputBankNumberTitleText - String
    // defoult is "בנק"	
    exports.setManualEntryUserInputBankNumberTitleText = function(manualEntryUserInputBankNumberTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryUserInputBankNumberTitleText", [manualEntryUserInputBankNumberTitleText]);
    };

    // setManualEntryUserInputChequeNumberTitleText
    // @params:
    // *manualEntryUserInputChequeNumberTitleText - String
    // defoult is "מספר שיק"	
    exports.setManualEntryUserInputChequeNumberTitleText = function(manualEntryUserInputChequeNumberTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryUserInputChequeNumberTitleText", [manualEntryUserInputChequeNumberTitleText]);
    };

    // setManualEntryImageBorderColor
    // @params:
    // *manualEntryImageBorderColor - String in Hex format
    // defoult is #f2f2f2 (lightGrayColor)
    exports.setManualEntryImageBorderColor = function(manualEntryImageBorderColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryImageBorderColor", [manualEntryImageBorderColor]);
    };

    // setManualEntryButtonsContainerBackgroundColor
    // @params:
    // *manualEntryButtonsContainerBackgroundColor - String in Hex format
    // defoult is #f2f2f2 (lightGrayColor)
    exports.setManualEntryButtonsContainerBackgroundColor = function(manualEntryButtonsContainerBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryButtonsContainerBackgroundColor", [manualEntryButtonsContainerBackgroundColor]);
    };

    // setManualEntryRetryButtonText
    // @params:
    // *manualEntryRetryButtonText - String
    // defoult is "צלם שיק בשנית"
    exports.setManualEntryRetryButtonText = function(manualEntryRetryButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryRetryButtonText", [manualEntryRetryButtonText]);
    };
    
    // setManualEntryApproveAndScanBackButtonText
    // @params:
    // *manualEntryApproveAndScanBackButtonText - String
    // defoult is "אישור, צלם גב שיק"
    exports.setManualEntryApproveAndScanBackButtonText = function(manualEntryApproveAndScanBackButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveAndScanBackButtonText", [manualEntryApproveAndScanBackButtonText]);
    };
    
    // setManualEntryRetryButtonCornerRadius
    // @params:
    // *manualEntryRetryButtonCornerRadius - float
    // defoult is 4.0
    exports.setManualEntryRetryButtonCornerRadius = function(manualEntryRetryButtonCornerRadius) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryRetryButtonCornerRadius", [manualEntryRetryButtonCornerRadius]);
    };

     // setManualEntryRetryButtonTextColor
    // @params:
    // *manualEntryRetryButtonTextColor - String in Hex format
    // defoult is #0076ff (blueColor)
    exports.setManualEntryRetryButtonTextColor = function(manualEntryRetryButtonTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryRetryButtonTextColor", [manualEntryRetryButtonTextColor]);
    };

     // setManualEntryRetryButtonBackgroundColor
    // @params:
    // *manualEntryRetryButtonBackgroundColor - String in Hex format
    // defoult is #ffffffff (clearColor)
    exports.setManualEntryRetryButtonBackgroundColor = function(manualEntryRetryButtonBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryRetryButtonBackgroundColor", [manualEntryRetryButtonBackgroundColor]);
    };

     // setManualEntryRetryButtonBorderColor
    // @params:
    // *manualEntryRetryButtonBorderColor - String in Hex format
    // defoult is #0076ff (blueColor)
    exports.setManualEntryRetryButtonBorderColor = function(manualEntryRetryButtonBorderColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryRetryButtonBorderColor", [manualEntryRetryButtonBorderColor]);
    };

    // setManualEntryRetryButtonBorderWidth
    // @params:
    // *manualEntryRetryButtonBorderWidth - float
    // defoult is 1.0
    exports.setManualEntryRetryButtonBorderWidth = function(manualEntryRetryButtonBorderWidth) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryRetryButtonBorderWidth", [manualEntryRetryButtonBorderWidth]);
    };

    // setManualEntryApproveAndScanBackButtonCornerRadius
    // @params:
    // *manualEntryApproveAndScanBackButtonCornerRadius - float
    // defoult is 4.0
    exports.setManualEntryApproveAndScanBackButtonCornerRadius = function(manualEntryApproveAndScanBackButtonCornerRadius) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveAndScanBackButtonCornerRadius", [manualEntryApproveAndScanBackButtonCornerRadius]);
    };

     // setManualEntryApproveAndScanBackButtonTextColor
    // @params:
    // *manualEntryApproveAndScanBackButtonTextColor - String in Hex format
    // defoult is #ffffff (whiteColor)
    exports.setManualEntryApproveAndScanBackButtonTextColor = function(manualEntryApproveAndScanBackButtonTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveAndScanBackButtonTextColor", [manualEntryApproveAndScanBackButtonTextColor]);
    };

     // setManualEntryApproveAndScanBackButtonBackgroundColor
    // @params:
    // *manualEntryApproveAndScanBackButtonBackgroundColor - String in Hex format
    // defoult is #0076ff (blueColor)
    exports.setManualEntryApproveAndScanBackButtonBackgroundColor = function(manualEntryApproveAndScanBackButtonBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveAndScanBackButtonBackgroundColor", [manualEntryApproveAndScanBackButtonBackgroundColor]);
    };

     // setManualEntryApproveAndScanBackButtonBorderColor
    // @params:
    // *manualEntryApproveAndScanBackButtonBorderColor - String in Hex format
    // defoult is #0076ff (blueColor)
    exports.setManualEntryApproveAndScanBackButtonBorderColor = function(manualEntryApproveAndScanBackButtonBorderColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveAndScanBackButtonBorderColor", [manualEntryApproveAndScanBackButtonBorderColor]);
    };

    // setManualEntryApproveAndScanBackButtonBorderWidth
    // @params:
    // *manualEntryApproveAndScanBackButtonBorderWidth - float
    // defoult is 1.0
    exports.setManualEntryApproveAndScanBackButtonBorderWidth = function(manualEntryApproveAndScanBackButtonBorderWidth) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryApproveAndScanBackButtonBorderWidth", [manualEntryApproveAndScanBackButtonBorderWidth]);
    };

    // setManualEntryValidationFailPopupTitleText
    // @params:
    // *manualEntryValidationFailPopupTitleText - String
    // defoult is "לא ניתן להפקיד שיק זה"
    exports.setManualEntryValidationFailPopupTitleText = function(manualEntryValidationFailPopupTitleText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryValidationFailPopupTitleText", [manualEntryValidationFailPopupTitleText]);
    };
    
    // setManualEntryInvalidCharacterInChequeNumberText
    // @params:
    // *manualEntryInvalidCharacterInChequeNumberText - String
    // defoult is "לא ניתן להפקיד שיק זה"
    exports.setManualEntryInvalidCharacterInChequeNumberText = function(manualEntryInvalidCharacterInChequeNumberText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryInvalidCharacterInChequeNumberText", [manualEntryInvalidCharacterInChequeNumberText]);
    };
    
    // setManualEntryInvalidCharacterInBankNumberText
    // @params:
    // *manualEntryInvalidCharacterInBankNumberText - String
    // defoult is "יש לתקן את מספר הבנק"
    exports.setManualEntryInvalidCharacterInBankNumberText = function(manualEntryInvalidCharacterInBankNumberText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryInvalidCharacterInBankNumberText", [manualEntryInvalidCharacterInBankNumberText]);
    };
    
    // setManualEntryInvalidCharacterInBranchNumberText
    // @params:
    // *manualEntryInvalidCharacterInBranchNumberText - String
    // defoult is "יש לתקן את מספר הסניף"
    exports.setManualEntryInvalidCharacterInBranchNumberText = function(manualEntryInvalidCharacterInBranchNumberText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryInvalidCharacterInBranchNumberText", [manualEntryInvalidCharacterInBranchNumberText]);
    };
    
    // setManualEntryInvalidCharacterInAccountNumberText
    // @params:
    // *manualEntryInvalidCharacterInAccountNumberText - String
    // defoult is "יש לתקן את מספר החשבון"
    exports.setManualEntryInvalidCharacterInAccountNumberText = function(manualEntryInvalidCharacterInAccountNumberText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryInvalidCharacterInAccountNumberText", [manualEntryInvalidCharacterInAccountNumberText]);
    };
    
    // setManualEntryChequeNumberTooShortText
    // @params:
    // *manualEntryChequeNumberTooShortText - String
    // defoult is "יש להזין מספר שיק בן 5 ספרות לפחות"
    exports.setManualEntryChequeNumberTooShortText = function(manualEntryChequeNumberTooShortText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryChequeNumberTooShortText", [manualEntryChequeNumberTooShortText]);
    };
    
    // setManualEntryBunkNumberTooShortText
    // @params:
    // *manualEntryBunkNumberTooShortText - String
    // defoult is "יש להזין מספר בנק בן 2 ספרות"
    exports.setManualEntryBunkNumberTooShortText = function(manualEntryBunkNumberTooShortText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBunkNumberTooShortText", [manualEntryBunkNumberTooShortText]);
    };
    
    // setManualEntryBunkNotSupportedText
    // @params:
    // *manualEntryBunkNotSupportedText - String
    // defoult is "מספר הבנק שהוקלד אינו נתמך"
    exports.setManualEntryBunkNotSupportedText = function(manualEntryBunkNotSupportedText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBunkNotSupportedText", [manualEntryBunkNotSupportedText]);
    };
    
    // setManualEntryBranchNumberTooShortText
    // @params:
    // *manualEntryBranchNumberTooShortText - String
    // defoult is "יש להזין מספר סניף בן 5 ספרות"
    exports.setManualEntryBranchNumberTooShortText = function(manualEntryBranchNumberTooShortText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryBranchNumberTooShortText", [manualEntryBranchNumberTooShortText]);
    };
    
    // setManualEntryAccountNumberTooShortText
    // @params:
    // *manualEntryAccountNumberTooShortText - String
    // defoult is "יש להזין מספר חשבון בן 5 ספרות לפחות"
    exports.setManualEntryAccountNumberTooShortText = function(manualEntryAccountNumberTooShortText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryAccountNumberTooShortText", [manualEntryAccountNumberTooShortText]);
    };
    
    // setManualEntryValidationFailPopupButtonText
    // @params:
    // *manualEntryValidationFailPopupButtonText - String
    // defoult is "אישור"
    exports.setManualEntryValidationFailPopupButtonText = function(manualEntryValidationFailPopupButtonText) {
        exec(null, null, "ScanovateChequeScanPlugin", "setManualEntryValidationFailPopupButtonText", [manualEntryValidationFailPopupButtonText]);
    };

    ////////////////////////////////////
    //* SNChequePopupUICustomization *//
    ////////////////////////////////////
    

    // setPopupCornerRadius
    // @params:
    // *popupCornerRadius - float
    // defoult is 20.0
    exports.setPopupCornerRadius = function(popupCornerRadius) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupCornerRadius", [popupCornerRadius]);
    };

    // setPopupTitleTextColor
    // @params:
    // *popupTitleTextColor - String in Hex format
    // defoult is #001f43
    exports.setPopupTitleTextColor = function(popupTitleTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupTitleTextColor", [popupTitleTextColor]);
    };
    
    // setPopupMessageTextColor
    // @params:
    // *popupMessageTextColor - String in Hex format
    // defoult is #001f43
    exports.setPopupMessageTextColor = function(popupMessageTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupMessageTextColor", [popupMessageTextColor]);
    };
    
    // setPopupButtonTextColor
    // @params:
    // *popupButtonTextColor - String in Hex format
    // defoult is #0077ff
    exports.setPopupButtonTextColor = function(popupButtonTextColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupButtonTextColor", [popupButtonTextColor]);
    };
    
    // setPopupBackgroundColor
    // @params:
    // *popupBackgroundColor - String in Hex format
    // defoult is #FFFFFF (whiteColor)
    exports.setPopupBackgroundColor = function(popupBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupBackgroundColor", [popupBackgroundColor]);
    };
    
    // setPopupSuccessSignColor
    // @params:
    // *popupSuccessSignColor - String in Hex format
    // defoult is #FFFFFF (whiteColor)
    exports.setPopupSuccessSignColor = function(popupSuccessSignColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupSuccessSignColor", [popupSuccessSignColor]);
    };
    
    // setPopupSuccessSignBackgroundColor
    // @params:
    // *popupSuccessSignBackgroundColor - String in Hex format
    // defoult is #00cb1e
    exports.setPopupSuccessSignBackgroundColor = function(popupSuccessSignBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupSuccessSignBackgroundColor", [popupSuccessSignBackgroundColor]);
    };

    // setPopupButtonBackgroundColor
    // @params:
    // *popupButtonBackgroundColor - String in Hex format
    // defoult is #ffffffff (clearColor)
    exports.setPopupButtonBackgroundColor = function(popupButtonBackgroundColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupButtonBackgroundColor", [popupButtonBackgroundColor]);
    };

    // setPopupButtonTopEdgeColor
    // @params:
    // *popupButtonTopEdgeColor - String in Hex format
    // defoult is #001f4366 (darkBlueColor WithAlpha 0.4)
    exports.setPopupButtonTopEdgeColor = function(popupButtonTopEdgeColor) {
        exec(null, null, "ScanovateChequeScanPlugin", "setPopupButtonTopEdgeColor", [popupButtonTopEdgeColor]);
    };
	
	// YB - added manualy by Matrix
	exports.clearAppCache = function() {
        exec(null, null, "ScanovateChequeScanPlugin", "clearAppCache", []);
    };
});
